namespace dataMagus.Forms.Elements
{
	partial class DataTypeForm
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the form.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(DataTypeForm));
            this.cancelButton = new System.Windows.Forms.Button();
            this.okButton = new System.Windows.Forms.Button();
            this.tabControl = new System.Windows.Forms.TabControl();
            this.dataTab = new System.Windows.Forms.TabPage();
            this.applyButton = new System.Windows.Forms.Button();
            this.customTypesDataGridView = new System.Windows.Forms.DataGridView();
            this.nameColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.baseTypeDropDownColumn = new System.Windows.Forms.DataGridViewComboBoxColumn();
            this.customTypesLabel = new System.Windows.Forms.Label();
            this.baseTypeLabel = new System.Windows.Forms.Label();
            this.dataTypesDataGridView = new System.Windows.Forms.DataGridView();
            this.targetTab = new System.Windows.Forms.TabPage();
            this.generatorCombo = new System.Windows.Forms.ComboBox();
            this.generatorLabel = new System.Windows.Forms.Label();
            this.generatorPanel = new System.Windows.Forms.Panel();
            this.tabControl.SuspendLayout();
            this.dataTab.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.customTypesDataGridView)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataTypesDataGridView)).BeginInit();
            this.targetTab.SuspendLayout();
            this.SuspendLayout();
            // 
            // cancelButton
            // 
            resources.ApplyResources(this.cancelButton, "cancelButton");
            this.cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.cancelButton.Name = "cancelButton";
            this.cancelButton.UseVisualStyleBackColor = true;
            this.cancelButton.Click += new System.EventHandler(this.CancelButtonClick);
            // 
            // okButton
            // 
            resources.ApplyResources(this.okButton, "okButton");
            this.okButton.Name = "okButton";
            this.okButton.UseVisualStyleBackColor = true;
            this.okButton.Click += new System.EventHandler(this.OkButtonClick);
            // 
            // tabControl
            // 
            resources.ApplyResources(this.tabControl, "tabControl");
            this.tabControl.Controls.Add(this.dataTab);
            this.tabControl.Controls.Add(this.targetTab);
            this.tabControl.Name = "tabControl";
            this.tabControl.SelectedIndex = 0;
            this.tabControl.SelectedIndexChanged += new System.EventHandler(this.tabControl_SelectedIndexChanged);
            // 
            // dataTab
            // 
            this.dataTab.Controls.Add(this.applyButton);
            this.dataTab.Controls.Add(this.customTypesDataGridView);
            this.dataTab.Controls.Add(this.customTypesLabel);
            this.dataTab.Controls.Add(this.baseTypeLabel);
            this.dataTab.Controls.Add(this.dataTypesDataGridView);
            resources.ApplyResources(this.dataTab, "dataTab");
            this.dataTab.Name = "dataTab";
            this.dataTab.UseVisualStyleBackColor = true;
            // 
            // applyButton
            // 
            resources.ApplyResources(this.applyButton, "applyButton");
            this.applyButton.Name = "applyButton";
            this.applyButton.UseVisualStyleBackColor = true;
            this.applyButton.Click += new System.EventHandler(this.applyButton_Click);
            // 
            // customTypesDataGridView
            // 
            resources.ApplyResources(this.customTypesDataGridView, "customTypesDataGridView");
            this.customTypesDataGridView.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.customTypesDataGridView.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.nameColumn,
            this.baseTypeDropDownColumn});
            this.customTypesDataGridView.Name = "customTypesDataGridView";
            // 
            // nameColumn
            // 
            resources.ApplyResources(this.nameColumn, "nameColumn");
            this.nameColumn.Name = "nameColumn";
            // 
            // baseTypeDropDownColumn
            // 
            resources.ApplyResources(this.baseTypeDropDownColumn, "baseTypeDropDownColumn");
            this.baseTypeDropDownColumn.Name = "baseTypeDropDownColumn";
            // 
            // customTypesLabel
            // 
            resources.ApplyResources(this.customTypesLabel, "customTypesLabel");
            this.customTypesLabel.Name = "customTypesLabel";
            // 
            // baseTypeLabel
            // 
            resources.ApplyResources(this.baseTypeLabel, "baseTypeLabel");
            this.baseTypeLabel.Name = "baseTypeLabel";
            // 
            // dataTypesDataGridView
            // 
            this.dataTypesDataGridView.AllowUserToAddRows = false;
            this.dataTypesDataGridView.AllowUserToDeleteRows = false;
            this.dataTypesDataGridView.AllowUserToOrderColumns = true;
            resources.ApplyResources(this.dataTypesDataGridView, "dataTypesDataGridView");
            this.dataTypesDataGridView.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dataTypesDataGridView.Name = "dataTypesDataGridView";
            this.dataTypesDataGridView.ReadOnly = true;
            // 
            // targetTab
            // 
            this.targetTab.Controls.Add(this.generatorCombo);
            this.targetTab.Controls.Add(this.generatorLabel);
            this.targetTab.Controls.Add(this.generatorPanel);
            resources.ApplyResources(this.targetTab, "targetTab");
            this.targetTab.Name = "targetTab";
            this.targetTab.UseVisualStyleBackColor = true;
            // 
            // generatorCombo
            // 
            resources.ApplyResources(this.generatorCombo, "generatorCombo");
            this.generatorCombo.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.generatorCombo.FormattingEnabled = true;
            this.generatorCombo.Name = "generatorCombo";
            this.generatorCombo.SelectedIndexChanged += new System.EventHandler(this.generatorCombo_SelectedIndexChanged);
            // 
            // generatorLabel
            // 
            resources.ApplyResources(this.generatorLabel, "generatorLabel");
            this.generatorLabel.Name = "generatorLabel";
            // 
            // generatorPanel
            // 
            resources.ApplyResources(this.generatorPanel, "generatorPanel");
            this.generatorPanel.Name = "generatorPanel";
            // 
            // DataTypeForm
            // 
            resources.ApplyResources(this, "$this");
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.cancelButton);
            this.Controls.Add(this.okButton);
            this.Controls.Add(this.tabControl);
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "DataTypeForm";
            this.ShowIcon = false;
            this.ShowInTaskbar = false;
            this.Load += new System.EventHandler(this.DataTypeForm_Load);
            this.tabControl.ResumeLayout(false);
            this.dataTab.ResumeLayout(false);
            this.dataTab.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.customTypesDataGridView)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataTypesDataGridView)).EndInit();
            this.targetTab.ResumeLayout(false);
            this.targetTab.PerformLayout();
            this.ResumeLayout(false);

        }
		private System.Windows.Forms.TabPage dataTab;
		private System.Windows.Forms.TabControl tabControl;
		private System.Windows.Forms.Button okButton;
        private System.Windows.Forms.Button cancelButton;
        private System.Windows.Forms.DataGridView dataTypesDataGridView;
        private System.Windows.Forms.DataGridView customTypesDataGridView;
        private System.Windows.Forms.Label customTypesLabel;
        private System.Windows.Forms.Label baseTypeLabel;
        private System.Windows.Forms.DataGridViewTextBoxColumn nameColumn;
        private System.Windows.Forms.DataGridViewComboBoxColumn baseTypeDropDownColumn;
        private System.Windows.Forms.TabPage targetTab;
        private System.Windows.Forms.ComboBox generatorCombo;
        private System.Windows.Forms.Label generatorLabel;
        private System.Windows.Forms.Panel generatorPanel;
        private System.Windows.Forms.Button applyButton;
	}
}
